Refund a payment
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/payments/{id}/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2500,
"metadata": {
"reason": "Customer request"
}
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/payments/{id}/refund"
payload = {
"amount": 2500,
"metadata": { "reason": "Customer request" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 2500, metadata: {reason: 'Customer request'}})
};
fetch('https://payments.oaknetwork.org/api/v1/payments/{id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Transaction was Initiated Successfully!",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"source": {
"amount": 123,
"currency": "<string>",
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
},
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"settlement_date": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Unauthorized",
"data": null
}{
"msg": "Forbidden",
"data": null
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Validation error message",
"data": null
}Payments
Refund a payment
Create a refund for a completed payment. Partial refunds are supported by specifying an amount less than the original. Total refund amount (including previous refunds) cannot exceed the original transaction amount.
POST
/
api
/
v1
/
payments
/
{id}
/
refund
Refund a payment
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Path Parameters
Payment transaction ID (UUID)
Body
application/json
⌘I